<?xml version="1.0" encoding="utf-8"?>
<databaseChangeLog
    xmlns="http://www.liquibase.org/xml/ns/dbchangelog"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-3.5.xsd">
    <!--
        Added the constraints for entity PartyRelationship.
    -->
    <changeSet id="20170101000000-2" author="jhipster">
        
        <addForeignKeyConstraint baseColumnNames="idstatustype"
                                 baseTableName="party_relationship"
                                 constraintName="fk_party_relationship_status_type_id"
                                 referencedColumnNames="idstatustype"
                                 referencedTableName="status_type"/>

        <addForeignKeyConstraint baseColumnNames="idreltyp"
                                 baseTableName="party_relationship"
                                 constraintName="fk_party_relationship_relation_type_id"
                                 referencedColumnNames="idreltyp"
                                 referencedTableName="relation_type"/>

    </changeSet>
</databaseChangeLog>
